<%= render 'setup/header' %>

<div class="ui basic fluid container segment">
  <% if notice %>
    <div class="ui info message">
      <p id="notice"><%= notice %></p>
    </div>
  <% end %>

  <h1 class="header">Services</h1>
  <%= link_to new_service_path, class: "ui button" do %>
    <i class="plus icon"></i> New
  <% end %>

  <table class="ui celled table">
    <thead>
      <tr class="center aligned">
        <th>No.</th>
        <th class="three wide">ID</th>
        <th class="four wide">Key</th>
        <th class="four wide">Secret</th>
        <th class="four wide">Actions</th>
      </tr>
    </thead>

    <tbody>
      <% @services.each_with_index do |service, i| %>
        <tr>
          <td class="center aligned"><%= i + 1 %></td>
          <td><%= service.id %></td>
          <td><%= service.key %></td>
          <td><%= service.secret %></td>
          <td>
            <%= link_to service, class: "ui primary basic button" do %>
              <i class="file icon"></i> Show
            <% end %>
            <%= link_to edit_service_path(service), class: "ui secondary basic button" do %>
              <i class="edit icon"></i> Edit
            <% end %>
            <%= link_to service, method: :delete, data: { confirm: 'Are you sure?' }, class: "ui negative basic button" do %>
              <i class="trash icon"></i> Delete
            <% end %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
  <br>
</div>